# IPOR Publication

Because gas cost is a serious issue on the Ethereum blockchain, the protocol can not afford the luxury of publishing the IPOR rate to the blockchain every block. Instead, we need to be pragmatic about the IPOR publication so that it is sustainable and useful.

### Heartbeat, time, and volatility

Should no trades occur on the IPOR Protocol, the oracle will keep the "pulse" by publishing IPOR. This publication will occur depending on volatility and time since the last publication. This way, if the volatility is significant but only for a short while, the oracle will not be overwhelmed by a large number of publications. At the same time, if the rate is not changing much, the publication will still take place, just less often.&#x20;

"Pulse" is controlled by function:&#x20;

$$
requiredIndexDiff = \frac{ tresholdNumerator\_{g} }{ (\Delta T/60) }
$$

thresholdNumerator is gas dependent. The higher the current gas price the higher the enumerator.&#x20;

If the product of the multiplication of IPOR changes since the last publication and the number of minutes since the publication took place equals 5, then the publication is triggered.

**For example:** if we expect publication after 5 minutes since the last update, we expect the IPOR to jump by 1% in that time. However, if we look at a longer period, a much smaller move is sufficient to trigger a publication. One basis point change in IPOR requires 8 hours and 20 minutes of time to trigger an update.

### &#x20;


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.ipor.io/ipor-derivatives/interest-rate-derivatives/ipor-publication.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
